#!/bin/bash

shift

if [[ "$@" == "" ]]; then indices="sender subject from text"; else indices="$@"; fi

for i in $indices; do  
	echo "Indexing $i..."
	if [[ "$i" == text ]]; then sep="-d0"; else sep=""; fi
	java -server -Xmx512M it.unimi.dsi.mg4j.tool.ZerothPass --downcase mail-$i <mail-$i $sep
	java -server -Xmx512M -Dit.unimi.dsi.mg4j.util.minimalperfecthash.verbose=true it.unimi.dsi.mg4j.util.MinimalPerfectHash -s mail-$i.mph -o mail-$i.terms
	java -server -Xmx512M it.unimi.dsi.mg4j.tool.FirstPass -z --downcase mail-$i <mail-$i $sep
	java -server -Xmx512M it.unimi.dsi.mg4j.tool.SecondPass mail-$i -H1
	java -server -Xmx512M -Dit.unimi.dsi.mg4j.util.minimalperfecthash.verbose=true it.unimi.dsi.mg4j.util.MinimalPerfectHash -s mail-$i.termmap -c it.unimi.dsi.mg4j.util.HashCodeSignedMinimalPerfectHash -o mail-$i.terms
done
